package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class ProgramKegiatanVO extends BaseMasterVO {
	
	@Caption(value = "Nama Program")
	private String namaProgram;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "objectjabatanpelaksanafk")
	@NotNull(message="Jabatan Pelaksana Kegiatan Harus Diisi")
	@Caption(value = "Jabatan Pelaksana Kegiatan")
	private JabatanVO jabatanPelaksanaKegiatan;
	
	@Column(name = "objectjabatanpelaksanafk", insertable = false, updatable = false)
	private Integer idJabatanPelaksanaKegiatan;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "objectpegawaiatasanfk")
	@NotNull(message="Pegawai Atasan Langsung Harus Diisi")
	@Caption(value = "Pegawai Atasan Langsung")
	private PegawaiVO pegawaiAtasanLangsung;
	
	@Column(name = "objectpegawaifk", insertable = false, updatable = false)
	private Integer idPegawaiAtasanLangsung;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "objectjabatanatasanfk")
	@NotNull(message="Jabatan Atasan Langsung Harus Diisi")
	@Caption(value = "Jabatan Atasan Langsung")
	private JabatanVO jabatanAtasanLangsung;
	
	@Column(name = "objectjabatanatasanfk", insertable = false, updatable = false)
	private Integer idJabatanAtasanLangsung;
	
	public String getNamaProgram() {
		return namaProgram;
	}

	public void setNamaProgram(String namaProgram) {
		this.namaProgram = namaProgram;
	}

	public JabatanVO getJabatanPelaksanaKegiatan() {
		return jabatanPelaksanaKegiatan;
	}

	public void setJabatanPelaksanaKegiatan(JabatanVO jabatanPelaksanaKegiatan) {
		this.jabatanPelaksanaKegiatan = jabatanPelaksanaKegiatan;
	}

	public Integer getIdJabatanPelaksanaKegiatan() {
		return idJabatanPelaksanaKegiatan;
	}

	public void setIdJabatanPelaksanaKegiatan(Integer idJabatanPelaksanaKegiatan) {
		this.idJabatanPelaksanaKegiatan = idJabatanPelaksanaKegiatan;
	}

	public PegawaiVO getPegawaiAtasanLangsung() {
		return pegawaiAtasanLangsung;
	}

	public void setPegawaiAtasanLangsung(PegawaiVO pegawaiAtasanLangsung) {
		this.pegawaiAtasanLangsung = pegawaiAtasanLangsung;
	}

	public Integer getIdPegawaiAtasanLangsung() {
		return idPegawaiAtasanLangsung;
	}

	public void setIdPegawaiAtasanLangsung(Integer idPegawaiAtasanLangsung) {
		this.idPegawaiAtasanLangsung = idPegawaiAtasanLangsung;
	}

	public JabatanVO getJabatanAtasanLangsung() {
		return jabatanAtasanLangsung;
	}

	public void setJabatanAtasanLangsung(JabatanVO jabatanAtasanLangsung) {
		this.jabatanAtasanLangsung = jabatanAtasanLangsung;
	}

	public Integer getIdJabatanAtasanLangsung() {
		return idJabatanAtasanLangsung;
	}

	public void setIdJabatanAtasanLangsung(Integer idJabatanAtasanLangsung) {
		this.idJabatanAtasanLangsung = idJabatanAtasanLangsung;
	}
	
}
